Subject: Re: [PATCH] [NET] [ISDN]: Do not validate ISDN net device address prior to interface-up

From: Patrick McHardy <[email-masked]>
Date: Sun, 13 Apr 2008 10:26:49 +0200

Jarek Poplawski wrote:
> On Sun, Apr 13, 2008 at 10:05:08AM +0200, Patrick McHardy wrote:
> ...
>   
>> In my opinion a proper error code like EADDRNOTAVAIL is enough, we
>> have thousands of checks that might make things fail, should we
>> add a printk to every one of those?
>>     
>
> IMHO yes - but only when "the functionality" is changed causing
> regressions like this.

This one is simply a bug, not a functional change.

>  BTW, I've assisted some similar case in
> bugzilla, and I guess users will still ask for an explanation after
> this error code change.
>   

Well, I don't have particulary strong feelings about this, but
I think adding a printk to one out of thousands of possible
errors won't help much.

What would be nice is some extended error reporting for netlink.